Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Statement
            |
            +--weblogic.jdbc.oci.Statement
                  |
                  +--weblogic.jdbc.oci.PreparedStatement
                        |
                        +--weblogic.jdbc.oci.CallableStatement

public class CallableStatement
extends weblogic.jdbc.oci.PreparedStatement
implements java.sql.CallableStatement, weblogic.jdbc.common.OracleCallableStatement

This class contains WebLogic extensions to JDBC to support the use of cursors as parameters in CallableStatements. Only those methods are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Statement
`binded, closed, connection, current_queryresult, cursorparams, doExtendedSQL, fetchsize, jdk_codeset, lastvalnull, maxfieldsize, maxrows, nullvalid, ociconn, ocicursor, updatecnt, warnings`

Constructor Summary
`CallableStatement()`

Method Summary
`java.sql.Array` | `getArray(int i)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.sql.Blob` | `getBlob(int parameterIndex)`
`java.sql.Clob` | `getClob(int parameterIndex)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.sql.Ref` | `getRef(int i)`
`java.sql.ResultSet` | `getResultSet(int parameterIndex)` Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, java.lang.String typeName)`

Methods inherited from class weblogic.jdbc.oci.Statement
`fetchSize, getConnection, getFetchDirection, getFetchSize, getResultSetConcurrency, getResultSetType, setFetchDirection, setFetchSize, setNull`

Methods inherited from class weblogic.jdbcbase.oci.Statement
`addBatch, addWarning, cancel, checkIfArgNull, checkIfClosed, checkJdbcSql, clearBatch, clearParameters, clearWarnings, close_cursor, close, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, fetchSize, finalize, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, parse, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setObject, setObject, setObject, setQueryTimeout, setReader, setShort, setStream, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableStatement

    public CallableStatement()

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

  Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter
  Specified by:
    getResultSet in interface weblogic.jdbc.common.OracleCallableStatement

  Overrides:
    getResultSet in class weblogic.jdbcbase.oci.Statement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

  Overrides:
    registerOutParameter in class weblogic.jdbcbase.oci.Statement

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD